import {Component, Inject} from '@angular/core';
import {MAT_DIALOG_DATA, MatDialogRef} from "@angular/material/dialog";
import {ItemGroup} from "../../../../../project/game-model/inventory/ItemGroup";
import {FormControl, Validators} from "@angular/forms";

@Component({
  selector: 'app-requiered-inheritances-creator',
  templateUrl: './requiered-inheritances-creator.component.html',
  styleUrl: './requiered-inheritances-creator.component.scss'
})
export class RequieredInheritancesCreatorComponent {

  selectorCtrl = new FormControl('', Validators.required)

  constructor(@Inject(MAT_DIALOG_DATA) public itemgroups: ItemGroup[],
              private dialogRef: MatDialogRef<RequieredInheritancesCreatorComponent>) {
  }

  cancel() {
    this.dialogRef.close();
  }

  submit() {
    if(this.selectorCtrl.value != undefined) {
      this.dialogRef.close(this.selectorCtrl.value);
    }
  }
}
