import {Action} from "./Action";
import {Item} from "../../inventory/Item";
import {CharacterDependency} from "../CharacterDependency";

export class InventoryItemAction extends Action {

  item: Item
  valueChange: number

  constructor(characterDependency: CharacterDependency, item: Item, valueChange: number) {
    super(characterDependency);
    this.item = item;
    this.valueChange = valueChange;
  }
}
