import {Gamesystem} from "../../gamesystems/Gamesystem";
import {State} from "../../gamesystems/states/State";
import {Condition} from "./Condition";
import {CharacterDependency} from "../CharacterDependency";

export class GamesystemCondition extends Condition {
  targetGamesystem: Gamesystem<any, any>
  requieredState: State<any>;


  constructor(characterDependency: CharacterDependency, targetGamesystem: Gamesystem<any, any>, requieredState: State<any>) {
    super(characterDependency);
    this.targetGamesystem = targetGamesystem;
    this.requieredState = requieredState;
  }
}
