import {Condition} from "./Condition";
import {Character} from "../../characters/Character";
import {CharacterDependency} from "../CharacterDependency";

export abstract class InventoryCondition extends Condition {

  minValue: number
  maxValue: number

  constructor(characterDependency: CharacterDependency, minValue: number, maxValue: number) {
    super(characterDependency);
    this.minValue = minValue;
    this.maxValue = maxValue;
  }
}
