import {InventoryCondition} from "./InventoryCondition";
import {Item} from "../../inventory/Item";
import {CharacterDependency} from "../CharacterDependency";

export class InventoryItemCondition extends InventoryCondition {

  item: Item

  constructor(characterDependency: CharacterDependency, minValue: number, maxValue: number, item: Item) {
    super(characterDependency, minValue, maxValue);
    this.item = item;
  }
}
