import {Component, Inject} from '@angular/core';
import {MAT_DIALOG_DATA, MatDialogRef, MatDialogTitle} from "@angular/material/dialog";
import {ItemGroup} from "../../../../project/game-model/inventory/ItemGroup";

@Component({
  selector: 'app-itemgroup-inheritor',
  templateUrl: './itemgroup-inheritor.component.html',
  styleUrl: './itemgroup-inheritor.component.scss'
})
export class ItemgroupInheritorComponent {

  selectedItemgroup: ItemGroup | undefined

  constructor(private dialogRef: MatDialogRef<ItemgroupInheritorComponent>,
              @Inject(MAT_DIALOG_DATA) public availableItemgroups: ItemGroup[]) {
  }

  cancel() {
    this.dialogRef.close()
  }

  submit() {
    this.dialogRef.close(this.selectedItemgroup);
  }
}
