import {InventoryCondition} from "./InventoryCondition";
import {ItemGroup} from "../../inventory/ItemGroup";
import {CharacterDependency} from "../CharacterDependency";

export class InventoryItemgroupCondition extends InventoryCondition {
  itemgroup: ItemGroup


  constructor(characterDependency: CharacterDependency, minValue: number, maxValue: number, itemgroup: ItemGroup) {
    super(characterDependency, minValue, maxValue);
    this.itemgroup = itemgroup;
  }
}
